## kf6-kjobwidgets 6.17.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.17.0") # handled by release scripts
set(KF_DEP_VERSION "6.17.0") # handled by release scripts
project(KJobWidgets VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 6.17.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(KDEGitCommitHooks)
include(ECMQtDeclareLoggingCategory)
include(ECMPoQmTools)
include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMDeprecationSettings)
include(CMakePackageConfigHelpers)
include(ECMGenerateQDoc)

set(REQUIRED_QT_VERSION 6.7.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets)

if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()

if(NOT WIN32 AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    option(WITH_X11 "Build with support for QX11Info::appUserTime()" ON)
endif()

# shall we use DBus?
# enabled per default on Linux & BSD systems
set(USE_DBUS_DEFAULT OFF)
if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    set(USE_DBUS_DEFAULT ON)
endif()
option(USE_DBUS "Build components using DBus" ${USE_DBUS_DEFAULT})
if(USE_DBUS)
    find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
    set(HAVE_QTDBUS ${Qt6DBus_FOUND})
endif()

find_package(KF6CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6WidgetsAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Notifications ${KF_DEP_VERSION} REQUIRED)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

set(kjobwidgets_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kjobwidgets_version.h")
ecm_setup_version(PROJECT VARIABLE_PREFIX KJOBWIDGETS
                        VERSION_HEADER "${kjobwidgets_version_header}"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6JobWidgetsConfigVersion.cmake"
                        SOVERSION 6)

ecm_set_disabled_deprecation_versions(
    QT 6.10.0
    KF 6.16.0
)

ecm_install_po_files_as_qm(poqm)

add_subdirectory(src)

option(BUILD_PYTHON_BINDINGS "Build Python bindings" ON)

# Only Linux and FreeBSD CI has the relevant packages
if (ANDROID OR APPLE OR WIN32 OR HAIKU OR NOT BUILD_SHARED_LIBS)
    set(BUILD_PYTHON_BINDINGS OFF)
endif()

if (BUILD_PYTHON_BINDINGS)
    find_package(Python3 3.9 REQUIRED COMPONENTS Interpreter Development)
    find_package(Shiboken6 REQUIRED)
    find_package(PySide6 REQUIRED)
endif()

add_feature_info(PYTHON_BINDINGS ${BUILD_PYTHON_BINDINGS} "Python bindings")

if (BUILD_PYTHON_BINDINGS)
    include(ECMGeneratePythonBindings)
    add_subdirectory(python)
endif()

if (BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6JobWidgets")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6JobWidgetsConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6JobWidgetsConfig.cmake"
  PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6JobWidgetsConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6JobWidgetsConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF6JobWidgetsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6JobWidgetsTargets.cmake NAMESPACE KF6:: )

install(FILES
   ${kjobwidgets_version_header}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KJobWidgets COMPONENT Devel
)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
configure_file(config-kjobwidgets.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kjobwidgets.h )

add_library(KF6JobWidgets)
add_library(KF6::JobWidgets ALIAS KF6JobWidgets)

set_target_properties(KF6JobWidgets PROPERTIES
    VERSION     ${KJOBWIDGETS_VERSION}
    SOVERSION   ${KJOBWIDGETS_SOVERSION}
    EXPORT_NAME JobWidgets
)

ecm_create_qm_loader(KF6JobWidgets kjobwidgets6_qt)

set(kjobwidgets_dbus_SRCS)
if (HAVE_QTDBUS)
    qt_add_dbus_interfaces(kjobwidgets_dbus_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.JobViewServer.xml )
    qt_add_dbus_interface(kjobwidgets_dbus_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.JobView.xml jobviewiface )

    qt_add_dbus_interfaces(kjobwidgets_dbus_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.JobViewServerV2.xml )
    qt_add_dbus_interface(kjobwidgets_dbus_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.JobViewV3.xml jobviewv3iface )
endif()

target_sources(KF6JobWidgets PRIVATE
    kabstractwidgetjobtracker.cpp
    kabstractwidgetjobtracker.h
    kabstractwidgetjobtracker_p.h
    kdialogjobuidelegate.cpp
    kdialogjobuidelegate.h
    kjobtrackerformatters.cpp
    kjobtrackerformatters_p.h
    kstatusbarjobtracker.cpp
    kstatusbarjobtracker.h
    kstatusbarjobtracker_p.h
    kwidgetjobtracker.cpp
    kwidgetjobtracker.h
    kwidgetjobtracker_p.h
    knotificationjobuidelegate.cpp
    knotificationjobuidelegate.h

    ${kjobwidgets_dbus_SRCS}
)
if (HAVE_QTDBUS)
    target_sources(KF6JobWidgets PRIVATE
        kuiserverjobtracker.cpp
        kuiserverjobtracker.h
        kuiserverjobtracker_p.h
        kuiserverv2jobtracker.cpp
        kuiserverv2jobtracker.h
        kuiserverv2jobtracker_p.h
    )
endif()

ecm_qt_declare_logging_category(KF6JobWidgets
    HEADER debug.h
    IDENTIFIER KJOBWIDGETS
    CATEGORY_NAME kf.jobwidgets
    OLD_CATEGORY_NAMES kf5.kjobwidgets
    DESCRIPTION "KJobWidgets"
    EXPORT KJOBWIDGETS
)

ecm_generate_export_header(KF6JobWidgets
    BASE_NAME KJobWidgets
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 6.17
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_include_directories(KF6JobWidgets INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KJobWidgets>")

target_link_libraries(KF6JobWidgets
   PUBLIC
      Qt6::Widgets
      KF6::CoreAddons    # KJob
   PRIVATE
      KF6::WidgetsAddons # KSqueezedTextLabel
      KF6::Notifications
)
if (HAVE_QTDBUS)
    target_link_libraries(KF6JobWidgets PRIVATE Qt6::DBus)
endif()

if (WITH_X11)
    target_link_libraries(KF6JobWidgets PRIVATE Qt6::GuiPrivate) # qtx11extras_p.h
endif ()

ecm_generate_headers(KJobWidgets_HEADERS
  HEADER_NAMES
  KAbstractWidgetJobTracker
  KDialogJobUiDelegate
  KUiServerJobTracker
  KUiServerV2JobTracker
  KStatusBarJobTracker
  KWidgetJobTracker
  KNotificationJobUiDelegate

  REQUIRED_HEADERS KJobWidgets_HEADERS
)

install(TARGETS KF6JobWidgets EXPORT KF6JobWidgetsTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

if (HAVE_QTDBUS)
    install(FILES
    org.kde.JobViewServer.xml
    DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR}
    RENAME kf6_org.kde.JobViewServer.xml)

    install(FILES
    org.kde.JobView.xml
    DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR}
    RENAME kf6_org.kde.JobView.xml)

    install(FILES
    org.kde.JobViewV2.xml
    DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR}
    RENAME kf6_org.kde.JobViewV2.xml)
endif()

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kjobwidgets_export.h
  ${KJobWidgets_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KJobWidgets COMPONENT Devel
)

ecm_qt_install_logging_categories(
    EXPORT KJOBWIDGETS
    FILE kjobwidgets.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

ecm_generate_qdoc(KF6JobWidgets kjobwidgets.qdocconf)

=== debian/changelog ===
kf6-kjobwidgets (6.17.0-0ubuntu2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Sep 2025 07:44:53 +0100

kf6-kjobwidgets (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:16:24 +0100

=== debian/control ===
Source: kf6-kjobwidgets
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.17.0~),
               libkf6coreaddons-dev (>= 6.17.0~),
               libkf6notifications-dev (>= 6.17.0~),
               libkf6widgetsaddons-dev (>= 6.17.0~),
               libqt6sql6-sqlite <!nocheck>,
               libx11-dev,
               libxkbcommon-dev (>= 0.5.0~),
               qt6-base-dev (>= 6.5.0~),
               qt6-base-private-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kjobwidgets
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kjobwidgets
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kjobwidgets
Rules-Requires-Root: no

Package: libkf6jobwidgets-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: widgets for tracking KJob instances - data files
 Window class that associates this job with a window given by
 window. This is used by KDialogJobUiDelegate as parent widget
 for error messages, KWidgetJobTracker as parent widget for
 progress dialogs, KIO::AbstractJobInteractionInterface as
 parent widget for rename/skip dialogs and possibly more.
 Overload that takes a QWindow.
 .
 Timestamp handling to update the last user action timestamp
 to the given time. Returns the last user action timestamp.
 .
 This package contains the translations for the Qt6 version of KJobWidgets.

Package: libkf6jobwidgets-dev
Section: libdevel
Architecture: any
Depends: libkf6coreaddons-dev (>= 6.17.0~),
         libkf6jobwidgets6 (= ${binary:Version}),
         libkf6notifications-dev (>= 6.17.0~),
         libkf6widgetsaddons-dev (>= 6.17.0~),
         qt6-base-dev (>= 6.5.0~),
         qt6-base-private-dev (>= 6.5.0~),
         ${misc:Depends},
Recommends: libkf6jobwidgets-doc (= ${source:Version}),
Description: widgets for tracking KJob instances - development files
 Window class that associates this job with a window given by
 window. This is used by KDialogJobUiDelegate as parent widget
 for error messages, KWidgetJobTracker as parent widget for
 progress dialogs, KIO::AbstractJobInteractionInterface as
 parent widget for rename/skip dialogs and possibly more.
 Overload that takes a QWindow.
 .
 Timestamp handling to update the last user action timestamp
 to the given time. Returns the last user action timestamp.
 .
 This package contains development files for the Qt6 version of KJobWidgets.

Package: libkf6jobwidgets-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: widgets for tracking KJob instances - documentation
 Window class that associates this job with a window given by
 window. This is used by KDialogJobUiDelegate as parent widget
 for error messages, KWidgetJobTracker as parent widget for
 progress dialogs, KIO::AbstractJobInteractionInterface as
 parent widget for rename/skip dialogs and possibly more.
 Overload that takes a QWindow.
 .
 Timestamp handling to update the last user action timestamp
 to the given time. Returns the last user action timestamp.
 .
 This package contains the qch documentation for the Qt6 version of KJobWidgets.

Package: libkf6jobwidgets6
Architecture: any
Multi-Arch: same
Depends: libkf6jobwidgets-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: widgets for tracking KJob instances
 Window class that associates this job with a window given by
 window. This is used by KDialogJobUiDelegate as parent widget
 for error messages, KWidgetJobTracker as parent widget for
 progress dialogs, KIO::AbstractJobInteractionInterface as
 parent widget for rename/skip dialogs and possibly more.
 Overload that takes a QWindow.
 .
 Timestamp handling to update the last user action timestamp
 to the given time. Returns the last user action timestamp.
 .
 This package contains the Qt6 version of the shared library.

## kf6-kjobwidgets 6.18.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.17.0") # handled by release scripts
-set(KF_DEP_VERSION "6.17.0") # handled by release scripts
+set(KF_VERSION "6.18.0") # handled by release scripts
+set(KF_DEP_VERSION "6.18.0") # handled by release scripts
 project(KJobWidgets VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.17.0  NO_MODULE)
+find_package(ECM 6.18.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -62,7 +62,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.16.0
+    KF 6.17.0
 )
 
 ecm_install_po_files_as_qm(poqm)

=== python/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Fushan Wen <qydwhotmail@gmail.com>
# SPDX-License-Identifier: BSD-2-Clause

set(bindings_library "KJobWidgets")

set(wrapped_header ${CMAKE_CURRENT_SOURCE_DIR}/bindings.h)
set(typesystem_file ${CMAKE_CURRENT_SOURCE_DIR}/typesystem_kjobwidgets.xml)

set(generated_sources
    ${CMAKE_CURRENT_BINARY_DIR}/KJobWidgets/kjobwidgets_module_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KJobWidgets/kabstractwidgetjobtracker_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KJobWidgets/kdialogjobuidelegate_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KJobWidgets/knotificationjobuidelegate_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KJobWidgets/kstatusbarjobtracker_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KJobWidgets/kuiserverjobtracker_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KJobWidgets/kuiserverv2jobtracker_wrapper.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/KJobWidgets/kwidgetjobtracker_wrapper.cpp
)

ecm_generate_python_bindings(
    PACKAGE_NAME ${bindings_library}
    VERSION ${KF_VERSION}
    WRAPPED_HEADER ${wrapped_header}
    TYPESYSTEM ${typesystem_file}
    GENERATED_SOURCES ${generated_sources}
    DEPENDENCIES KF6::JobWidgets
    QT_VERSION ${REQUIRED_QT_VERSION}
    HOMEPAGE_URL "https://invent.kde.org/frameworks/kjobwidgets"
    ISSUES_URL "https://bugs.kde.org/describecomponents.cgi?product=frameworks-kjobwidgets"
    AUTHOR "The KDE Community"
    README ${CMAKE_SOURCE_DIR}/README.md
)

target_link_libraries(${bindings_library} PRIVATE KF6::JobWidgets)

execute_process(COMMAND ${Python_EXECUTABLE} -Esc "import sysconfig; print(sysconfig.get_path('platlib', vars={'platbase': '${CMAKE_INSTALL_PREFIX}', 'base': '${CMAKE_INSTALL_PREFIX}'}))" OUTPUT_VARIABLE sysconfig_output)
string(STRIP ${sysconfig_output} PYTHON_INSTALL_DIR)

install(TARGETS ${bindings_library} LIBRARY DESTINATION "${PYTHON_INSTALL_DIR}")

=== debian/changelog ===
kf6-kjobwidgets (6.18.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.18.0).
  * Update build-deps and deps with the info from cmake.
  * Do not build Python-bindings.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Sep 2025 19:17:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,33 @@
 Source: kf6-kjobwidgets
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.17.0~),
-               libkf6coreaddons-dev (>= 6.17.0~),
-               libkf6notifications-dev (>= 6.17.0~),
-               libkf6widgetsaddons-dev (>= 6.17.0~),
+               extra-cmake-modules (>= 6.18.0~),
+               libkf6coreaddons-dev (>= 6.18.0~),
+               libkf6notifications-dev (>= 6.18.0~),
+               libkf6widgetsaddons-dev (>= 6.18.0~),
                libqt6sql6-sqlite <!nocheck>,
                libx11-dev,
                libxkbcommon-dev (>= 0.5.0~),
-               qt6-base-dev (>= 6.5.0~),
-               qt6-base-private-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
+               qt6-base-dev (>= 6.7.0~),
+               qt6-base-private-dev (>= 6.7.0~),
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kjobwidgets
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kjobwidgets
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kjobwidgets
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kjobwidgets
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kjobwidgets.git
 Rules-Requires-Root: no
 
 Package: libkf6jobwidgets-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
 Description: widgets for tracking KJob instances - data files
  Window class that associates this job with a window given by
  window. This is used by KDialogJobUiDelegate as parent widget
@@ -45,12 +44,12 @@
 Package: libkf6jobwidgets-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6coreaddons-dev (>= 6.17.0~),
+Depends: libkf6coreaddons-dev (>= 6.18.0~),
          libkf6jobwidgets6 (= ${binary:Version}),
-         libkf6notifications-dev (>= 6.17.0~),
-         libkf6widgetsaddons-dev (>= 6.17.0~),
-         qt6-base-dev (>= 6.5.0~),
-         qt6-base-private-dev (>= 6.5.0~),
+         libkf6notifications-dev (>= 6.18.0~),
+         libkf6widgetsaddons-dev (>= 6.18.0~),
+         qt6-base-dev (>= 6.7.0~),
+         qt6-base-private-dev (>= 6.7.0~),
          ${misc:Depends},
 Recommends: libkf6jobwidgets-doc (= ${source:Version}),
 Description: widgets for tracking KJob instances - development files

## kf6-kjobwidgets 6.19.0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -13,11 +13,15 @@
 
 set(kjobwidgets_dbus_SRCS)
 if (HAVE_QTDBUS)
-    qt_add_dbus_interfaces(kjobwidgets_dbus_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.JobViewServer.xml )
-    qt_add_dbus_interface(kjobwidgets_dbus_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.JobView.xml jobviewiface )
+    qt_add_dbus_interfaces(kjobwidgets_dbus_SRCS dbus/org.kde.JobViewServer.xml )
+    qt_add_dbus_interface(kjobwidgets_dbus_SRCS dbus/org.kde.JobView.xml jobviewiface )
 
-    qt_add_dbus_interfaces(kjobwidgets_dbus_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.JobViewServerV2.xml )
-    qt_add_dbus_interface(kjobwidgets_dbus_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.JobViewV3.xml jobviewv3iface )
+    qt_add_dbus_interfaces(kjobwidgets_dbus_SRCS dbus/org.kde.JobViewServerV2.xml )
+    qt_add_dbus_interface(kjobwidgets_dbus_SRCS dbus/org.kde.JobViewV3.xml jobviewv3iface )
+
+    qt_add_dbus_interface(kjobwidgets_dbus_SRCS dbus/org.freedesktop.PowerManagement.Inhibit.xml inhibit_interface)
+    qt_add_dbus_interface(kjobwidgets_dbus_SRCS dbus/org.freedesktop.portal.Inhibit.xml portal_inhibit_interface)
+    qt_add_dbus_interface(kjobwidgets_dbus_SRCS dbus/org.freedesktop.portal.Request.xml portal_request_interface)
 endif()
 
 target_sources(KF6JobWidgets PRIVATE
@@ -26,6 +30,9 @@
     kabstractwidgetjobtracker_p.h
     kdialogjobuidelegate.cpp
     kdialogjobuidelegate.h
+    kinhibitionjobtracker.cpp
+    kinhibitionjobtracker.h
+    kinhibitionjobtracker_p.h
     kjobtrackerformatters.cpp
     kjobtrackerformatters_p.h
     kstatusbarjobtracker.cpp
@@ -91,6 +98,7 @@
   HEADER_NAMES
   KAbstractWidgetJobTracker
   KDialogJobUiDelegate
+  KInhibitionJobTracker
   KUiServerJobTracker
   KUiServerV2JobTracker
   KStatusBarJobTracker
@@ -104,17 +112,17 @@
 
 if (HAVE_QTDBUS)
     install(FILES
-    org.kde.JobViewServer.xml
+    dbus/org.kde.JobViewServer.xml
     DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR}
     RENAME kf6_org.kde.JobViewServer.xml)
 
     install(FILES
-    org.kde.JobView.xml
+    dbus/org.kde.JobView.xml
     DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR}
     RENAME kf6_org.kde.JobView.xml)
 
     install(FILES
-    org.kde.JobViewV2.xml
+    dbus/org.kde.JobViewV2.xml
     DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR}
     RENAME kf6_org.kde.JobViewV2.xml)
 endif()

=== debian/changelog ===
kf6-kjobwidgets (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * Update symbols.
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:06:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,34 @@
 Source: kf6-kjobwidgets
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.18.0~),
-               libkf6coreaddons-dev (>= 6.18.0~),
-               libkf6notifications-dev (>= 6.18.0~),
-               libkf6widgetsaddons-dev (>= 6.18.0~),
+               extra-cmake-modules (>= 6.19.0~),
+               libkf6coreaddons-dev (>= 6.19.0~),
+               libkf6notifications-dev (>= 6.19.0~),
+               libkf6widgetsaddons-dev (>= 6.19.0~),
                libqt6sql6-sqlite <!nocheck>,
                libx11-dev,
                libxkbcommon-dev (>= 0.5.0~),
-               qt6-base-dev (>= 6.7.0~),
-               qt6-base-private-dev (>= 6.7.0~),
-Standards-Version: 4.7.2
+               qt6-base-dev (>= 6.5.0~),
+               qt6-base-private-dev (>= 6.5.0~),
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kjobwidgets
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kjobwidgets
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kjobwidgets.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kjobwidgets
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kjobwidgets
 Rules-Requires-Root: no
 
 Package: libkf6jobwidgets-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: widgets for tracking KJob instances - data files
  Window class that associates this job with a window given by
  window. This is used by KDialogJobUiDelegate as parent widget
@@ -44,12 +45,12 @@
 Package: libkf6jobwidgets-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6coreaddons-dev (>= 6.18.0~),
+Depends: libkf6coreaddons-dev (>= 6.19.0~),
          libkf6jobwidgets6 (= ${binary:Version}),
-         libkf6notifications-dev (>= 6.18.0~),
-         libkf6widgetsaddons-dev (>= 6.18.0~),
-         qt6-base-dev (>= 6.7.0~),
-         qt6-base-private-dev (>= 6.7.0~),
+         libkf6notifications-dev (>= 6.19.0~),
+         libkf6widgetsaddons-dev (>= 6.19.0~),
+         qt6-base-dev (>= 6.5.0~),
+         qt6-base-private-dev (>= 6.5.0~),
          ${misc:Depends},
 Recommends: libkf6jobwidgets-doc (= ${source:Version}),
 Description: widgets for tracking KJob instances - development files

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_PYTHON_BINDINGS=OFF

## kf6-kjobwidgets 6.19.0+p24.04+vstable+git20251011.0932

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.18.0") # handled by release scripts
-set(KF_DEP_VERSION "6.18.0") # handled by release scripts
+set(KF_VERSION "6.20.0") # handled by release scripts
+set(KF_DEP_VERSION "6.19.0") # handled by release scripts
 project(KJobWidgets VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.18.0  NO_MODULE)
+find_package(ECM 6.19.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -62,7 +62,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.17.0
+    KF 6.18.0
 )
 
 ecm_install_po_files_as_qm(poqm)

=== debian/changelog ===
kf6-kjobwidgets (6.19.0+p24.04+vstable+git20251011.0932-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 09:32:54 +0000

kf6-kjobwidgets (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 07:01:50 +0000

kf6-kjobwidgets (6.18.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 23:00:43 +0000

kf6-kjobwidgets (6.17.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Aug 2025 00:22:25 +0000

kf6-kjobwidgets (6.16.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jul 2025 06:31:54 +0000

kf6-kjobwidgets (6.15.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jun 2025 05:53:41 +0000

kf6-kjobwidgets (6.14.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 May 2025 10:38:27 +0000

kf6-kjobwidgets (6.13.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 Apr 2025 02:04:54 +0000

kf6-kjobwidgets (6.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Mar 2025 22:03:47 +0000

kf6-kjobwidgets (6.11.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Feb 2025 03:30:27 +0000

kf6-kjobwidgets (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 11:56:56 +0000

kf6-kjobwidgets (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2024 10:32:42 +0000

kf6-kjobwidgets (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Nov 2024 00:34:46 +0000

kf6-kjobwidgets (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:30:09 +0000

kf6-kjobwidgets (6.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 03:37:23 +0000

kf6-kjobwidgets (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Aug 2024 12:36:44 +0000

kf6-kjobwidgets (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jul 2024 04:48:07 +0000

kf6-kjobwidgets (6.3.0-1neon) noble; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 13 Jun 2024 14:31:28 +1000

kf6-kjobwidgets (6.3.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2024 03:58:45 +0000

kf6-kjobwidgets (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 21 Feb 2024 16:22:39 +0000

kf6-kjobwidgets (5.245.0-0neon) jammy; urgency=medium

  * New alpha release

 -- Neon CI <neon@kde.org>  Fri, 17 Nov 2023 01:18:08 +0000

kf6-kjobwidgets (0.0-0neon) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Mon, 12 Dec 2022 13:04:30 +0000

## kf6-kjobwidgets 6.19.0+p24.04+vstable+git20251015.0854

=== debian/changelog ===
kf6-kjobwidgets (6.19.0+p24.04+vstable+git20251015.0854-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 08:54:20 +0000

## kf6-kjobwidgets 6.19.0+p24.04+vstable+git20251021.0554

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
 include(CMakePackageConfigHelpers)
 include(ECMGenerateQDoc)
 
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets)
 
 if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")

=== debian/changelog ===
kf6-kjobwidgets (6.19.0+p24.04+vstable+git20251021.0554-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 05:54:25 +0000

=== debian/control ===
Source: kf6-kjobwidgets
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-python,
               dh-sequence-python3,
               doxygen,
               graphviz,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-knotifications-dev,
               kf6-kwidgetsaddons-dev,
               libclang-dev,
               libpyside6-dev,
               libpython3-dev,
               libshiboken6-dev,
               libx11-dev,
               llvm-dev,
               pkg-kde-tools-neon,
               pyside6-tools,
               python3-build,
               python3-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/kjobwidgets
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-kjobwidgets.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-kjobwidgets
Maintainer: Neon CI <neon@kde.org>

Package: kf6-kjobwidgets
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: python3, python3-pyside6.qtcore, ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf6jobwidgets-data, libkf6jobwidgets6
Description: Qt library that implements the Open Collaboration Services API
 Window class that associates this job with a window given by
 window. This is used by KDialogJobUiDelegate as parent widget
 for error messages, KWidgetJobTracker as parent widget for
 progress dialogs, KIO::AbstractJobInteractionInterface as
 parent widget for rename/skip dialogs and possibly more.
 Overload that takes a QWindow.
 .
 This package is part of KDE Frameworks 6.

Package: kf6-kjobwidgets-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-kcoreaddons-dev,
         kf6-kjobwidgets (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends}
Replaces: libkf6jobwidgets-dev, libkf6jobwidgets-doc
Description: development files for kjobwidgets
 Window class that associates this job with a window given by
 window. This is used by KDialogJobUiDelegate as parent widget
 for error messages, KWidgetJobTracker as parent widget for
 progress dialogs, KIO::AbstractJobInteractionInterface as
 parent widget for rename/skip dialogs and possibly more.
 Overload that takes a QWindow.
 .
 This package is part of KDE Frameworks 6.
 .
 This package contains the development header files.

Package: libkf6jobwidgets6
Architecture: all
Depends: kf6-kjobwidgets, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6jobwidgets-data
Architecture: all
Depends: kf6-kjobwidgets, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6jobwidgets-doc
Architecture: all
Depends: kf6-kjobwidgets-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6jobwidgets-dev
Architecture: all
Depends: kf6-kjobwidgets-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kf6-kjobwidgets 6.19.0+p24.04+vstable+git20251028.0804

=== debian/changelog ===
kf6-kjobwidgets (6.19.0+p24.04+vstable+git20251028.0804-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 08:04:54 +0000

## kf6-kjobwidgets 6.19.0+p24.04+vunstable+git20251015.1036

=== debian/changelog ===
kf6-kjobwidgets (6.19.0+p24.04+vunstable+git20251015.1036-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 10:36:08 +0000

## kf6-kjobwidgets 6.19.0+p24.04+vunstable+git20251020.0244

=== debian/changelog ===
kf6-kjobwidgets (6.19.0+p24.04+vunstable+git20251020.0244-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:44:45 +0000

## kf6-kjobwidgets 6.20.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.20.0") # handled by release scripts
-set(KF_DEP_VERSION "6.19.0") # handled by release scripts
+set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 project(KJobWidgets VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.19.0  NO_MODULE)
+find_package(ECM 6.20.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -62,7 +62,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.18.0
+    KF 6.19.0
 )
 
 ecm_install_po_files_as_qm(poqm)

=== autotests/CMakeLists.txt ===

find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)
add_definitions(-DQT_FORCE_ASSERTS=1)

include(ECMAddTests)

if(HAVE_QTDBUS)
    ecm_add_tests(
        kuiserver2jobtrackertest.cpp
        kuiserver2jobtrackertest2.cpp
        LINK_LIBRARIES Qt6::Test Qt6::Widgets KF6::JobWidgets
    )
endif()

=== debian/changelog ===
kf6-kjobwidgets (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.
  * Add missing xauth/xvfb setup to run newer test.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:25:27 +0100

=== debian/control ===
Source: kf6-kjobwidgets
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.20.0~),
               libkf6coreaddons-dev (>= 6.20.0~),
               libkf6notifications-dev (>= 6.20.0~),
               libkf6widgetsaddons-dev (>= 6.20.0~),
               libqt6sql6-sqlite <!nocheck>,
               libx11-dev,
               libxkbcommon-dev (>= 0.5.0~),
               qt6-base-dev (>= 6.8.0~),
               qt6-base-private-dev (>= 6.8.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kjobwidgets
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kjobwidgets
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kjobwidgets.git
Rules-Requires-Root: no

Package: libkf6jobwidgets-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: widgets for tracking KJob instances - data files
 Window class that associates this job with a window given by
 window. This is used by KDialogJobUiDelegate as parent widget
 for error messages, KWidgetJobTracker as parent widget for
 progress dialogs, KIO::AbstractJobInteractionInterface as
 parent widget for rename/skip dialogs and possibly more.
 Overload that takes a QWindow.
 .
 Timestamp handling to update the last user action timestamp
 to the given time. Returns the last user action timestamp.
 .
 This package contains the translations for the Qt6 version of KJobWidgets.

Package: libkf6jobwidgets-dev
Section: libdevel
Architecture: any
Depends: libkf6coreaddons-dev (>= 6.20.0~),
         libkf6jobwidgets6 (= ${binary:Version}),
         libkf6notifications-dev (>= 6.20.0~),
         libkf6widgetsaddons-dev (>= 6.20.0~),
         qt6-base-dev (>= 6.8.0~),
         qt6-base-private-dev (>= 6.8.0~),
         ${misc:Depends},
Recommends: libkf6jobwidgets-doc (= ${source:Version}),
Description: widgets for tracking KJob instances - development files
 Window class that associates this job with a window given by
 window. This is used by KDialogJobUiDelegate as parent widget
 for error messages, KWidgetJobTracker as parent widget for
 progress dialogs, KIO::AbstractJobInteractionInterface as
 parent widget for rename/skip dialogs and possibly more.
 Overload that takes a QWindow.
 .
 Timestamp handling to update the last user action timestamp
 to the given time. Returns the last user action timestamp.
 .
 This package contains development files for the Qt6 version of KJobWidgets.

Package: libkf6jobwidgets-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: widgets for tracking KJob instances - documentation
 Window class that associates this job with a window given by
 window. This is used by KDialogJobUiDelegate as parent widget
 for error messages, KWidgetJobTracker as parent widget for
 progress dialogs, KIO::AbstractJobInteractionInterface as
 parent widget for rename/skip dialogs and possibly more.
 Overload that takes a QWindow.
 .
 Timestamp handling to update the last user action timestamp
 to the given time. Returns the last user action timestamp.
 .
 This package contains the qch documentation for the Qt6 version of KJobWidgets.

Package: libkf6jobwidgets6
Architecture: any
Multi-Arch: same
Depends: libkf6jobwidgets-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: widgets for tracking KJob instances
 Window class that associates this job with a window given by
 window. This is used by KDialogJobUiDelegate as parent widget
 for error messages, KWidgetJobTracker as parent widget for
 progress dialogs, KIO::AbstractJobInteractionInterface as
 parent widget for rename/skip dialogs and possibly more.
 Overload that takes a QWindow.
 .
 Timestamp handling to update the last user action timestamp
 to the given time. Returns the last user action timestamp.
 .
 This package contains the Qt6 version of the shared library.

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,6 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_PYTHON_BINDINGS=OFF
+
+override_dh_auto_test:
+	xvfb-run -a dh_auto_test

## kf6-kjobwidgets 6.20.0+p24.04+vunstable+git20251202.0922

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
 set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 project(KJobWidgets VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-kjobwidgets (6.20.0+p24.04+vunstable+git20251202.0922-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 09:22:13 +0000

kf6-kjobwidgets (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:49 +1000

## kf6-kjobwidgets 6.20.0+p24.04+vunstable+git20251206.0326

=== debian/changelog ===
kf6-kjobwidgets (6.20.0+p24.04+vunstable+git20251206.0326-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 03:26:27 +0000

## kf6-kjobwidgets 6.21.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.21.0") # handled by release scripts
-set(KF_DEP_VERSION "6.20.0") # handled by release scripts
+set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 project(KJobWidgets VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.20.0  NO_MODULE)
+find_package(ECM 6.21.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kjobwidgets (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:52:10 +0000

kf6-kjobwidgets (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)
  * Disable build time tests.

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:14:56 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kjobwidgets
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -9,27 +10,25 @@
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.20.0~),
-               libkf6coreaddons-dev (>= 6.20.0~),
-               libkf6notifications-dev (>= 6.20.0~),
-               libkf6widgetsaddons-dev (>= 6.20.0~),
+               extra-cmake-modules (>= 6.21.0~),
+               libkf6coreaddons-dev (>= 6.21.0~),
+               libkf6notifications-dev (>= 6.21.0~),
+               libkf6widgetsaddons-dev (>= 6.21.0~),
                libqt6sql6-sqlite <!nocheck>,
                libx11-dev,
                libxkbcommon-dev (>= 0.5.0~),
                qt6-base-dev (>= 6.8.0~),
                qt6-base-private-dev (>= 6.8.0~),
-               xauth <!nocheck>,
-               xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kjobwidgets
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kjobwidgets
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kjobwidgets.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kjobwidgets
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kjobwidgets
 Rules-Requires-Root: no
 
 Package: libkf6jobwidgets-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: widgets for tracking KJob instances - data files
  Window class that associates this job with a window given by
  window. This is used by KDialogJobUiDelegate as parent widget
@@ -46,10 +45,10 @@
 Package: libkf6jobwidgets-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6coreaddons-dev (>= 6.20.0~),
+Depends: libkf6coreaddons-dev (>= 6.21.0~),
          libkf6jobwidgets6 (= ${binary:Version}),
-         libkf6notifications-dev (>= 6.20.0~),
-         libkf6widgetsaddons-dev (>= 6.20.0~),
+         libkf6notifications-dev (>= 6.21.0~),
+         libkf6widgetsaddons-dev (>= 6.21.0~),
          qt6-base-dev (>= 6.8.0~),
          qt6-base-private-dev (>= 6.8.0~),
          ${misc:Depends},

## kf6-kjobwidgets 6.21.0+p24.04+vstable+git20251222.0223

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
 set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 project(KJobWidgets VERSION ${KF_VERSION})
 
@@ -62,7 +62,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.19.0
+    KF 6.21.0
 )
 
 ecm_install_po_files_as_qm(poqm)

## kf6-kjobwidgets 6.21.0+p24.04+vstable+git20251226.0215

=== CMakeLists.txt ===
--- 
+++ 
@@ -61,7 +61,7 @@
                         SOVERSION 6)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
+    QT 6.11.0
     KF 6.21.0
 )

=== debian/changelog ===
kf6-kjobwidgets (6.21.0+p24.04+vstable+git20251226.0215-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Dec 2025 02:15:27 +0000

kf6-kjobwidgets (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:11:46 +1000

## kf6-kjobwidgets 6.21.0+p24.04+vstable+git20260103.0225

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
-set(KF_DEP_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
+set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 project(KJobWidgets VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.21.0  NO_MODULE)
+find_package(ECM 6.22.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

## kf6-kjobwidgets 6.21.0+p24.04+vunstable+git20251207.0635

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.23.0") # handled by release scripts
-set(KF_DEP_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 project(KJobWidgets VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.22.0  NO_MODULE)
+find_package(ECM 6.21.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -61,8 +61,8 @@
                         SOVERSION 6)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.11.0
-    KF 6.21.0
+    QT 6.10.0
+    KF 6.19.0
 )
 
 ecm_install_po_files_as_qm(poqm)

=== debian/changelog ===
kf6-kjobwidgets (6.21.0+p24.04+vunstable+git20251207.0635-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 06:35:46 +0000
